Subject: Problem with perldoc output (was: Re: two problems w/ new perl encountered)
From: "Gerrit P. Haase" <[email-masked]>
To: "Thomas Mellman" <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Mar 2003 22:24:07 +0100

Hallo Thomas,

Now again CC'd to the Cygwin list.

Am Montag, 17. März 2003 um 09:01 schriebst du:

> "Gerrit P. Haase" <[email-masked]> schrieb am 16.03.03 16:42:01:
>> 
>> Hallo mellman,
>> 
>> Am Freitag, 14. März 2003 um 22:46 schriebst du:
>> 
>> > Is there a way to dump the exact pipeline that perldoc uses?
>> > It says something in the man page about nroff, etc ...
>> > Does it use nroff or groff?
>> 
>> /usr/bin/nroff
>> 
>> From perldoc -h:
>> 
>> Options:
>>     -t   Display pod using pod2text instead of pod2man and nroff
>>              (-t is the default on win32)
>> 
>> So the problem probably is hidden somewhere in pod2man.

> Oh, no, I doubt that.  If the -t option entry is to be interpreted as:
>   using (pod2text) instead of (pod2man, nroff) ...
> then surely not.

Well, pod2text works, pod2man & nroff doesn't.

> it's nroff that generates the escape sequences, which on cursory inspection, BTW,
> look good.  I suspect a problem on the interface between nroff and the pager
> (but not the $PAGER, because it doesn't help to eliminate that variable).

> Setting $PERLDOC_PAGER to less doesn't help.   Interesting, though, is that
> entering:
>     perl2man /usr/bin/perldoc | nroff -man | less
> gives the same results.  Also w/ groff.

> I'll bet there's a problem with the -man package.

> Incidently, I did:

>   perl2man /usr/bin/perldoc > $tmp/perldoc.1
>   man $tmp/perldoc.1

> and it comes out right.  Does man use a different -man package?

Then it isn't pod2man...
Hmmm, generating the manpage with pod2man works, then it is
probably a problem with nroff, as you said.

man maintainer, groff maintainer, any comments?

> BTW, Du kannst aber schon deutsch schreiben wenn Du willst.

:-)

Gerrit
-- 
=^..^=